SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";

DROP TABLE IF EXISTS `chatlog`;
CREATE TABLE IF NOT EXISTS `chatlog` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(128) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=3171 ;

DROP TABLE IF EXISTS `comment`;
CREATE TABLE IF NOT EXISTS `comment` (
  `id` int(11) NOT NULL auto_increment,
  `content` varchar(255) NOT NULL default '',
  `date` datetime NOT NULL default '0000-00-00 00:00:00',
  `author` varchar(32) NOT NULL,
  `ip` varchar(15) NOT NULL,
  `iid` int(11) NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `iid` (`iid`),
  KEY `ip` (`ip`),
  KEY `author` (`author`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=47 ;

DROP TABLE IF EXISTS `items`;
CREATE TABLE IF NOT EXISTS `items` (
  `id` int(11) NOT NULL auto_increment,
  `type` tinyint(4) NOT NULL default '0',
  `iid` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `type` (`type`),
  KEY `iid` (`iid`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COMMENT='Items. (Copyrights Ateom.com@2007)' AUTO_INCREMENT=3171 ;

DROP TABLE IF EXISTS `online_private`;
CREATE TABLE IF NOT EXISTS `online_private` (
  `id` int(11) NOT NULL auto_increment,
  `room` varchar(64) NOT NULL,
  `last_access` int(11) NOT NULL,
  `name` varchar(32) NOT NULL,
  `webcam` tinyint(4) NOT NULL,
  `user_id` int(11) NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `room` (`room`),
  KEY `last_access` (`last_access`),
  KEY `name` (`name`),
  KEY `user_id` (`user_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COMMENT='Online users. VideoWhisper.com@2010' AUTO_INCREMENT=47023 ;

DROP TABLE IF EXISTS `user`;
CREATE TABLE IF NOT EXISTS `user` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(32) character set latin1 NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=5 ;

DROP TABLE IF EXISTS `user_facebook`;
CREATE TABLE IF NOT EXISTS `user_facebook` (
  `id` int(11) NOT NULL auto_increment,
  `user_id` int(11) NOT NULL,
  `facebook_id` bigint(20) NOT NULL,
  `email` varchar(64) NOT NULL,
  `pic_square` varchar(200) NOT NULL,
  `profile_url` varchar(200) NOT NULL,
  `sex` varchar(32) NOT NULL,
  `country` varchar(64) NOT NULL,
  `state` varchar(64) NOT NULL,
  `city` varchar(64) NOT NULL,
  `updated` int(11) NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `facebook_id` (`facebook_id`),
  KEY `user_id` (`user_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=5 ;

DROP TABLE IF EXISTS `user_filter`;
CREATE TABLE IF NOT EXISTS `user_filter` (
  `id` int(11) NOT NULL auto_increment,
  `user_id` int(11) NOT NULL,
  `webcam` tinyint(4) NOT NULL,
  `loggedin` tinyint(4) NOT NULL,
  `sex` varchar(32) NOT NULL,
  `location` varchar(32) NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `user_id` (`user_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COMMENT='User filters. VideoWhisper.com@2010' AUTO_INCREMENT=2 ;
