<?php
$page_title = "Privacy Policy";
include_once("_h.php");
?>
<div>
  <h1><?php echo $siteName; ?> Terms of Service</h1>
  <p><?php echo $siteName; ?> (&ldquo;<?php echo $siteName; ?>&rdquo; or the &ldquo;Company&rdquo;) offers <?php echo $siteName; ?> (the &ldquo;Service&rdquo;) according to the terms of service (the &ldquo;Terms of Service&rdquo;), as well as the <a href="privacy.php">privacy policy</a> (the &ldquo;Privacy Policy&rdquo;), which together constitute an agreement (the &ldquo;Agreement&rdquo;) declared below. The Company reserves the right to modify these terms without notice. Your continued usage of the Service constitutes your acceptance of these terms. Violation of any terms will result in termination of your account. Questions about the Terms of Service may be sent to <?php echo $siteContactLink; ?>.</p>
  <ol>
    <li><strong>General Terms</strong>
      <ol>
        <li>
          <p>The Service is not intended for children under 13. By using the Service, you are representing that you are at least 18, or that you are at least 13 years old and have your parents&rsquo; permission to use the Service.</p>
        </li>
        <li>
          <p>The Company may prohibit any user from using the Service in its sole discretion at any time for any reason, and is not liable for any damage or loss resulting from such prohibition.</p>
        </li>
        <li>
          <p>You are responsible for using the Service in a private and secure manner. The Company is not liable for any damage or loss due to unauthorized account access resulting from your actions.</p>
        </li>
        <li>
          <p>You may not use the Service for any illegal activity or to violate laws in your jurisdiction.</p>
        </li>
        <li>
          <p>You may not use the Service to distribute unsolicited email (&ldquo;spam&rdquo;) or malicious content such as viruses or worms.</p>
        </li>
        <li>
          <p>You may not exploit the Service to access unauthorized information.</p>
        </li>
        <li>
          <p>Any abuse or threatened abuse of other users of the Service or of Company personnel will result in immediate account termination.</p>
        </li>
        <li>
          <p>Any failure of the Company to enforce or exercise a right provided in these terms is not a waiver of that right.</p>
        </li>
        <li>
          <p>Should any provision of these terms be found invalid or unenforceable, the remaining terms shall still apply.</p>
        </li>
        <li>
          <p>This Terms of Service constitutes the entire agreements between you and the Company and supersedes any and all previous agreements, written or oral, between you and the Company, including previous versions of the Terms of Service.</p>
        </li>
        <li>
          <p>These Terms of Service shall be governed by and construed in accordance with the laws of the State of California, without giving effect to principles of conflicts of law. You and the Company each agree that any action at law or in equity arising out of or relating to these Terms of Service will be filed only in the state or federal courts in and for San Francisco County, California, and hereby consent and submit to the personal and exclusive jurisdiction of such courts for the purposes of litigating any such action.</p>
        </li>
      </ol>
    </li>
    <li><strong>Modification to Service</strong>
      <ol>
        <li>
          <p>The Company reserves the right to modify, suspend, or discontinue the Service for any reason, with or without notice.</p>
        </li>
      </ol>
    </li>
    <li><strong>User Conduct and Submissions</strong>
      <ol>
        <li>
          <p>Subject to the license granted below, any remarks, ideas, graphics, photographs, or other information (collectively, &ldquo;Content&rdquo;) communicated to the Account Holder (as defined below) and posted on the Service in a Hosted Area (as defined below) belong to the person who posted such content. You may use any Content posted by you in any other way without restriction. You may only use Content posted by others in the ways described in these Terms of Service.</p>
        </li>
        <li>
          <p>You give the party (the &ldquo;Account Holder&rdquo;) who owns the domain name as hosted on the Service in which you post your Content (the &ldquo;Hosted Area&rdquo;) a non-exclusive, royalty-free, worldwide, perpetual, irrevocable , fully-sublicensable license to publish and use your Content. In addition to the right to publish, you also grant the Account Holder under said license the following rights, without limitation: (i) the right to reproduce or copy or create derivative works thereof; (ii) the right to transfer, deliver, and sell the Content, which includes the distribution via computer and networks; (iii) the right to edit, modify, adapt, arrange, improve, correct, develop, translate, in all or in part; (iv) the right to update/upgrade by adding or removing; (v) the right to film, perform or post the Content in any media, and (vi) the right to use or incorporate all or any part of the Content in any products or services of the Account Holder (whether or not associated with the Service). Except as described in our Privacy Policy, neither the Company nor any Account Holder will be required to treat any Content as confidential. By posting Content you hereby waive any and all rights to be compensated by <?php echo $siteName; ?> or any Account Holder for such Content.</p>
        </li>
        <li>
          <p>In order to operate and improve the Service, the Company needs the right to make certain uses of your Content as well. Therefore, when you post Content in any Hosted Area, you also agree to grant the Company an irrevocable, perpetual, worldwide, royalty-free, fully sublicenseable, non-exclusive license to copy, distribute, sell, publicly display, publicly perform and make derivative works of your Content on the Service and on services affiliated with the Service regardless of the form of media used or of whether such services now exist or are developed in the future.</p>
        </li>
        <li>
          <p>The submission of your Content on the Service is entirely voluntary, non-confidential, gratuitous, and non-committal. You understand that the Account Holder may be working on the same or similar Content, that it may already know of such Content from other sources, that it may simply wish to develop this (or a similar Content) on its own or it may have taken/will take some other action. In return for the Account Holder&rsquo;s review and consideration of your Content, you acknowledge that you have read, understand and agree to the terms enumerated below, and further agree that these terms shall apply to any additional material previously or later submitted:</p>
          <ol>
            <li>
              <p>The Content represents your own original work. You have all necessary rights to disclose the Content to the Account Holder. In doing so, you are not violating the rights of any third party and you know of no other individual or entity whose rights will be infringed upon by the Account Holder&rsquo;s review and/or use of the Content.</p>
            </li>
            <li>
              <p>You understand that disclosure of Content to the Account Holder does not establish a confidential relationship or obligate the Account Holder to treat your Content (or any related materials) as secret or confidential.</p>
            </li>
            <li>
              <p>You understand that the Account Holder has no obligation, either express or implied, to develop or use your Content and that no compensation is due to you or anyone else for any inadvertent or intentional use of your Content, related ideas or ideas derived from your idea. You understand that the Account Holder assumes no obligation with respect to any of your Content unless and until the Account Holder enters into a written contract with you, and then only as expressed in that contract. In the absence of a separate formal contract, your rights shall be limited to those existing under the patent laws of the United States.</p>
            </li>
            <li>
              <p>If your Content is the subject of a pending or issued patent, you have disclosed or will disclose that fact to the Account Holder. To the extent you hold a patent in the Content, the Account Holder acknowledges that no license under any patent is herein granted to the Account Holder. Any license to use a patented Content shall be in the form of a written contract, in which event the Account Holder&rsquo;s obligations shall be only those expressed in such contract.</p>
            </li>
            <li>
              <p>The Account Holder will give your Content such consideration as is warranted by its sole judgment. The Account Holder&rsquo;s review of your Content shall not be construed as any recognition of the novelty or originality of the Content. The Account Holder is not obligated to give reasons for rejecting your Content or to reveal the Account Holder&rsquo;s activities that are related to the subject matter of the submitted Content.</p>
            </li>
            <li>
              <p>Neither the discussion or negotiations between the Account Holder and you relating to the possible purchase or license of the Content, nor the making of any offer for the purchase or license of the Content, shall prejudice the Account Holder in any way, or be construed as recognition of the novelty, originality, priority, other rights or value of the submitted Content. Further, the Account Holder&rsquo;s consideration or its discussions or negotiations with you will not in any way impair the Account Holder&rsquo;s right to contest the validity or infringement of your rights.</p>
            </li>
            <li>
              <p>You acknowledge that the Account Holder, directly or indirectly, may (i) be working on the same Content or a similar Content to the Content, or (ii) already know of such Content from other sources, or (iii) simply wish to develop this Content or as similar to the Content on its own.</p>
            </li>
            <li>
              <p>You hereby irrevocably release and forever discharge the Company and all Account Holders and their affiliates and subsidiaries (together, the &ldquo;Released Parties&rdquo;) from any and all actions, causes of actions, claims, damages, liabilities and demands, whether absolute or contingent and of any nature whatsoever, which you now have or hereafter can, shall or may have against the Released Parties or their respecting successors and assigns with respect to the Content, including without limitation in respect of how the Company and its affiliates and subsidiaries, directly or indirectly, use the Content, with the sole exception in respect of the foregoing release and discharge being your right to bring a claim of patent infringement.</p>
            </li>
          </ol>
        </li>
        <li>
          <p>The Company has the right, but not the obligation, to remove Content that it determines in its sole discretion to be unlawful, offensive, threatening, libelous, defamatory, obscene or otherwise objectionable, that violates any party&rsquo;s intellectual property, or that is detrimental to the quality or intended spirit of the Service. The Company also has the right, but not the obligation, to limit or revoke the use privileges of account of anyone who posts such Content.</p>
        </li>
        <li>
          <p>The Company reserves the right to remove any Content from the service, at its sole discretion, including unacceptable content.</p>
        </li>
        <li>
          <p>Examples of unacceptable Content or behavior on the Service include:</p>
          <ol>
            <li>abuse, harassment, threats, flaming or intimidation of any person or organization</li>
            <li>engaging in or contributing to any illegal activity or activity that violates others&rsquo; rights</li>
            <li>use of derogatory, discriminatory or excessively graphic language</li>
            <li>providing information that is false, misleading or inaccurate</li>
            <li>hacking or modifying the Company Service or another Web site to falsely imply an association with the Company</li>
            <li>implying or pretending to be affiliated with a company or organization with which you are not affiliated, or misrepresenting the extent of your affiliation or role with an affiliated company or organization</li>
            <li>transmitting worms, viruses or harmful software</li>
            <li>sending spam</li>
            <li>disclosing personal or proprietary information of another user, person or organization.</li>
          </ol>
        </li>
      </ol>
    </li>
    <li>
      <p>The Company cannot control all Content posted by third parties to the Service, and does not guarantee the accuracy, integrity or quality of such Content. You understand that by using the Service you may be exposed to Content that you may find offensive, indecent, incorrect or objectionable, and you agree that under no circumstances will the Company be liable in any way for any Content, including any errors or omissions in any Content, or any loss or damage of any kind incurred as a result of your use of any Content. You understand that you must evaluate and bear all risks associated with the use of any Content, including any reliance on the content, integrity, and accuracy of such Content. If you would like to report objectionable materials, you may use the &ldquo;Flag for review&rdquo; feature on any topic or reply. Urgent issues can be reported to support [at] <?php echo $siteName; ?> [dot] com.</p>
    </li>
    <li>
      <p>Use of the Service is also governed by our <a href="privacy.php">privacy policy</a>.</p>
    </li>
    <li><strong>Copyright, Ownership, and Data Security</strong>
      <ol>
        <li>
          <p>The Company owns intellectual property rights to any protectable part of the Service, including but not limited to the design, artwork, functionality, and documentation. You may not copy, modify, or reverse engineer any part of the Service owned by the Company.</p>
        </li>
        <li>
          <p>The Company is not liable for any damages or losses resulting from the Service transmitting information such as invoices and personal messages over unencrypted networks such as email.</p>
        </li>
        <li>
          <p>The Company respects the intellectual property of others. It may, in appropriate circumstances and at its discretion, disable and/or terminate the accounts of users who repeatedly infringe others&rsquo; rights. If you believe that your work has been copied in a way that constitutes copyright infringement, or your intellectual property rights have been otherwise violated, please provide the following information to the Company&rsquo;s copyright agent:</p>
          <ol>
            <li>an electronic or physical signature of the person authorized to act on behalf of the owner of the copyright or other intellectual property interest;</li>
            <li>a description of the copyrighted work or other intellectual property that you claim has been infringed;</li>
            <li>a description of where the material that you claim is infringing is located on the site;</li>
            <li>your address, telephone number, and email address;</li>
            <li>a statement by you that you have a good faith belief that the disputed use is not authorized by the copyright owner, its agent, or the law;<br />
            </li>
            <li>a statement by you, made under penalty of perjury, that the above information in your notice is accurate and that you are the copyright or intellectual property owner or are authorized to act on the copyright or intellectual property owner&rsquo;s behalf.</li>
          </ol>
        </li>
      </ol>
    </li>
  </ol>
  <p>(<a href="<?php echo $siteContactLink; ?>">contact</a>)</p>
</div>
<?php



include_once("_f.php");
?>
